package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 镜像图标
 * 
 * @author lyy
 * @Version 1.0
 * @since 2017年10月26日
 */
@Table("icon")
public class Icon extends Generic {
	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("name")
	private String name;
	@Column("icon")
	private String icon;
	@Column("is_reserved")
	private Boolean reserved;

	public Icon() {
		super();
	}

	public Icon(String name, String icon, Boolean reserved) {
		super();
		this.name = name;
		this.icon = icon;
		this.reserved = reserved;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the icon
	 */
	public String getIcon() {
		return icon;
	}

	/**
	 * @param icon
	 *            the icon to set
	 */
	public void setIcon(String icon) {
		this.icon = icon;
	}

	/**
	 * @return the reserved
	 */
	public Boolean getReserved() {
		return reserved;
	}

	/**
	 * @param reserved
	 *            the reserved to set
	 */
	public void setReserved(Boolean reserved) {
		this.reserved = reserved;
	}

}
